/*
 * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：研发部
 * 日 期：2017.04.18
 * 描 述：账号添加	
 */
var acceptClick;
var keyValue = '';
var companyId = request('companyId');
var bootstrap = function ($, learun) {
    "use strict";
    var selectedRow = learun.frameTab.currentIframe().selectedRow;
    var page = {
        init: function () {
            page.bind();
            page.initData();
        },
        bind: function () {
            // 性别
            $('#F_Gender').lrDataItemSelect({ code: 'usersex' });            
        },
        initData: function () {
            if (!!selectedRow) {
                $('#account').show();
                keyValue = selectedRow.F_UserId;
                $('#form').lrSetFormData(selectedRow);
                $('#F_Account').attr('readonly', 'readonly');
                $('#F_Account').attr('unselectable', 'on'); 
                $('#F_Account').css({ "background-color": "#E0E0E0"});
            }
        },
    };
    
    // 保存数据
    acceptClick = function (callBack) {
        if (!$('#form').lrValidform()) {
            return false;
        }
        if (keyValue == undefined || keyValue == "") {
            $.getJSON(top.$.rootUrl + '/LR_OrganizationModule/User/ExistAccount', { F_Account: $("#F_Account").val() }, function (data) {
                if (data.data) {
                    $.lrValidformMessage($("#F_Account"), "账号已存在，请重新输入！");
                    $('#F_Account').focus();
                    return false;
                }
                addAndUpdate();
            });
        } else {
            addAndUpdate();
        }

        function addAndUpdate(){
            var phone = $('#F_Mobile').val();
            if (phone != null && phone != "") {
                if (!(/^1[3456789]\d{9}$/.test(phone))) {
                    $.lrValidformMessage($("#F_Mobile"), "手机号码格式有误，请重填！");
                    $('#F_Mobile').focus();
                    return false;
                }
            }
            var postData = $('#form').lrGetFormData(keyValue);
            postData.F_CompanyId = companyId;
            $.lrSaveForm(top.$.rootUrl + '/LR_OrganizationModule/User/SaveForm?keyValue=' + keyValue, postData, function (res) {
                // 保存成功后才回调
                if (!!callBack) {
                    callBack();
                }
            });
        }
    };
    page.init();
}
